Issue 124514

Summary: No way to turn off highlighting of commented text range
Product: Writer Reporter: Ariel Constenla-Haile <arielch>
Component: codeAssignee: Oliver-Rainer Wittmann <orw>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P3 CC: fanyuzhen, jsc, orw
Version: 4.1.0-betaFlags: jsc: 4.1.0_release_blocker+
Target Milestone: 4.1.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Ariel Constenla-Haile 2014-03-26 10:55:58 UTC
- New Writer document
- Insert some dummy text (in English version, use AutoText DT + F3)
- Select a text range
- Insert a comment

Result: the selected text gets highlighted.
The menu View - Comments toggles the visibility of the comments in the right side of the document, but the highlighting remains.

As this highlighting is a visual hint that there is a comment, but is not part of the document itself, there should be a way in a WYSIWYG editor to turn this off (may be reuse View - Field shadings).
Comment 1 Oliver-Rainer Wittmann 2014-03-26 11:10:55 UTC
Ariel, your are absolutely right and I will work on a solution.

This is a defect in a new feature introduced for AOO 4.1.0. It should be fixed for AOO 4.1.0. I assume it will be be a "one-line-fix".
--> requesting show-stopper-status
Comment 2 Oliver-Rainer Wittmann 2014-03-26 11:17:31 UTC
The fix will be a one-liner-fix. I just forgot to check, if the corresponding view option "Show Comments" is set or not for the visibility of the overlay object which highlights the annotated text range.
Comment 3 SVN Robot 2014-03-26 13:56:31 UTC
"orw" committed SVN revision 1581840 into trunk:
124514: show/hide Overlay object to highlight annotated text range according ...
Comment 4 Oliver-Rainer Wittmann 2014-03-26 13:58:28 UTC
fixed on trunk - awaiting decision on show-stopper-status
Comment 5 jsc 2014-03-27 12:06:59 UTC
grant showstopper flag
Comment 6 jsc 2014-03-27 12:11:00 UTC
it is a bug in a new feature but the fix can of course increase the user experience a lot
Comment 7 Oliver-Rainer Wittmann 2014-03-27 15:23:30 UTC
fixed on branch AOO410 for next release - revision 1582330
Comment 8 fanyuzhen 2014-04-04 09:00:44 UTC
It's verified in branch
AOO410m15(Build:9761)  -  Rev. 1583666
2014-04-01 13:53:14 (Di, 01 Apr 2014)

Will close this when it is verified fixed in trunk (comment 4)